Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Interface JUPanelRowSetListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  JUPanelRowSetAdapter

public interface JUPanelRowSetListener
extends java.util.EventListener

Implemented by classes that are interested in performing typically lightweight, client-side validation for an attribute, a row, or the whole transaction.

When the Event Inspector is used to generate PanelValidationEvent code on a PanelBinding object, it adds this interface to the list of interfaces the concerned class implements and also implements the three event methods.

Method Summary
`void` | `navigated(JUIteratorBinding iter, NavigationEvent event)` Invoked when the current-row designation changes.
`void` | `rangeRefreshed(JUIteratorBinding iter, RangeRefreshEvent event)` Invoked when the range changes.
`void` | `rangeScrolled(JUIteratorBinding iter, ScrollEvent event)` Invoked when the range is scrolled.
`void` | `rowDeleted(JUIteratorBinding iter, DeleteEvent event)` Invoked when a row has been deleted.
`void` | `rowInserted(JUIteratorBinding iter, InsertEvent event)` Invoked when a row has been inserted.
`void` | `rowUpdated(JUIteratorBinding iter, UpdateEvent event)` Invoked when an attribute of the row has been changed.

Method Detail

### rangeRefreshed

    public void rangeRefreshed(JUIteratorBinding iter,
                               RangeRefreshEvent event)

  Invoked when the range changes.
  Parameters:
    `event` - a description of the new ranges.

### rangeScrolled

    public void rangeScrolled(JUIteratorBinding iter,
                              ScrollEvent event)

  Invoked when the range is scrolled.
  Parameters:
    `event` - a description of the new range.

### rowInserted

    public void rowInserted(JUIteratorBinding iter,
                            InsertEvent event)

  Invoked when a row has been inserted.
  Parameters:
    `event` - a description of the new Row object.

### rowDeleted

    public void rowDeleted(JUIteratorBinding iter,
                           DeleteEvent event)

  Invoked when a row has been deleted.
  Parameters:
    `event` - a description of the deleted Row object.

### rowUpdated

    public void rowUpdated(JUIteratorBinding iter,
                           UpdateEvent event)

  Invoked when an attribute of the row has been changed.
  Parameters:
    `event` - a description of the modified Row object.

### navigated

    public void navigated(JUIteratorBinding iter,
                          NavigationEvent event)

  Invoked when the current-row designation changes.
  Parameters:
    `event` - a description of the new and previous current rows.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.